Update Competitor
curl --request PUT \
--url https://api.scrunchai.com/v1/brands/{brand_id}/competitors/{competitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"alternative_names": [],
"websites": [],
"case_sensitive": false
}
'import requests
url = "https://api.scrunchai.com/v1/brands/{brand_id}/competitors/{competitor_id}"
payload = {
"name": "<string>",
"alternative_names": [],
"websites": [],
"case_sensitive": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', alternative_names: [], websites: [], case_sensitive: false})
};
fetch('https://api.scrunchai.com/v1/brands/{brand_id}/competitors/{competitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"alternative_names": [],
"websites": [],
"case_sensitive": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Configuration API
Update Competitor
Update a competitor
PUT
/
brands
/
{brand_id}
/
competitors
/
{competitor_id}
Update Competitor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Input model for updating a competitor (full replace).
Display name of the competitor.
Minimum string length:
1Alternative names or aliases for the competitor.
Website URLs associated with the competitor.
Required string length:
1 - 2083When true, name and alternative_names are matched against AI responses with exact case. Defaults to case-insensitive matching.
Was this page helpful?
⌘I